Package com.android.server.os

# Class LinphoneTombstoneProtos.MemoryMapping.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder<MessageType,BuilderType>
com.google.protobuf.GeneratedMessageLite.Builder<LinphoneTombstoneProtos.MemoryMapping,LinphoneTombstoneProtos.MemoryMapping.Builder>
com.android.server.os.LinphoneTombstoneProtos.MemoryMapping.Builder

All Implemented Interfaces:
  `LinphoneTombstoneProtos.MemoryMappingOrBuilder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `Cloneable`

Enclosing class:
  LinphoneTombstoneProtos.MemoryMapping

public static final class LinphoneTombstoneProtos.MemoryMapping.Builder extends com.google.protobuf.GeneratedMessageLite.Builder<LinphoneTombstoneProtos.MemoryMapping,LinphoneTombstoneProtos.MemoryMapping.Builder> implements LinphoneTombstoneProtos.MemoryMappingOrBuilder
Protobuf type `MemoryMapping`

## Field Summary

### Fields inherited from class com.google.protobuf.GeneratedMessageLite.Builder

`instance`

## Method Summary

Modifier and Type
Method
Description
`LinphoneTombstoneProtos.MemoryMapping.Builder`
`clearBeginAddress()`
`uint64 begin_address = 1;`
`LinphoneTombstoneProtos.MemoryMapping.Builder`
`clearBuildId()`
`string build_id = 8;`
`LinphoneTombstoneProtos.MemoryMapping.Builder`
`clearEndAddress()`
`uint64 end_address = 2;`
`LinphoneTombstoneProtos.MemoryMapping.Builder`
`clearExecute()`
`bool execute = 6;`
`LinphoneTombstoneProtos.MemoryMapping.Builder`
`clearLoadBias()`
`uint64 load_bias = 9;`
`LinphoneTombstoneProtos.MemoryMapping.Builder`
`clearMappingName()`
`string mapping_name = 7;`
`LinphoneTombstoneProtos.MemoryMapping.Builder`
`clearOffset()`
`uint64 offset = 3;`
`LinphoneTombstoneProtos.MemoryMapping.Builder`
`clearRead()`
`bool read = 4;`
`LinphoneTombstoneProtos.MemoryMapping.Builder`
`clearWrite()`
`bool write = 5;`
`long`
`getBeginAddress()`
`uint64 begin_address = 1;`
`String`
`getBuildId()`
`string build_id = 8;`
`com.google.protobuf.ByteString`
`getBuildIdBytes()`
`string build_id = 8;`
`long`
`getEndAddress()`
`uint64 end_address = 2;`
`boolean`
`getExecute()`
`bool execute = 6;`
`long`
`getLoadBias()`
`uint64 load_bias = 9;`
`String`
`getMappingName()`
`string mapping_name = 7;`
`com.google.protobuf.ByteString`
`getMappingNameBytes()`
`string mapping_name = 7;`
`long`
`getOffset()`
`uint64 offset = 3;`
`boolean`
`getRead()`
`bool read = 4;`
`boolean`
`getWrite()`
`bool write = 5;`
`LinphoneTombstoneProtos.MemoryMapping.Builder`
`setBeginAddress(long value)`
`uint64 begin_address = 1;`
`LinphoneTombstoneProtos.MemoryMapping.Builder`
`setBuildId(String value)`
`string build_id = 8;`
`LinphoneTombstoneProtos.MemoryMapping.Builder`
`setBuildIdBytes(com.google.protobuf.ByteString value)`
`string build_id = 8;`
`LinphoneTombstoneProtos.MemoryMapping.Builder`
`setEndAddress(long value)`
`uint64 end_address = 2;`
`LinphoneTombstoneProtos.MemoryMapping.Builder`
`setExecute(boolean value)`
`bool execute = 6;`
`LinphoneTombstoneProtos.MemoryMapping.Builder`
`setLoadBias(long value)`
`uint64 load_bias = 9;`
`LinphoneTombstoneProtos.MemoryMapping.Builder`
`setMappingName(String value)`
`string mapping_name = 7;`
`LinphoneTombstoneProtos.MemoryMapping.Builder`
`setMappingNameBytes(com.google.protobuf.ByteString value)`
`string mapping_name = 7;`
`LinphoneTombstoneProtos.MemoryMapping.Builder`
`setOffset(long value)`
`uint64 offset = 3;`
`LinphoneTombstoneProtos.MemoryMapping.Builder`
`setRead(boolean value)`
`bool read = 4;`
`LinphoneTombstoneProtos.MemoryMapping.Builder`
`setWrite(boolean value)`
`bool write = 5;`

### Methods inherited from class com.google.protobuf.GeneratedMessageLite.Builder

`build, buildPartial, clear, clone, copyOnWrite, copyOnWriteInternal, getDefaultInstanceForType, internalMergeFrom, isInitialized, mergeFrom, mergeFrom, mergeFrom, mergeFrom`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`getDefaultInstanceForType, isInitialized`

## Method Details

### getBeginAddress

public long getBeginAddress()
`uint64 begin_address = 1;`

Specified by:
  `getBeginAddress` in interface `LinphoneTombstoneProtos.MemoryMappingOrBuilder`
Returns:
  The beginAddress.

### setBeginAddress

public LinphoneTombstoneProtos.MemoryMapping.Builder setBeginAddress(long value)
`uint64 begin_address = 1;`

Parameters:
  `value` - The beginAddress to set.
Returns:
  This builder for chaining.

### clearBeginAddress

public LinphoneTombstoneProtos.MemoryMapping.Builder clearBeginAddress()
`uint64 begin_address = 1;`

Returns:
  This builder for chaining.

### getEndAddress

public long getEndAddress()
`uint64 end_address = 2;`

Specified by:
  `getEndAddress` in interface `LinphoneTombstoneProtos.MemoryMappingOrBuilder`
Returns:
  The endAddress.

### setEndAddress

public LinphoneTombstoneProtos.MemoryMapping.Builder setEndAddress(long value)
`uint64 end_address = 2;`

Parameters:
  `value` - The endAddress to set.
Returns:
  This builder for chaining.

### clearEndAddress

public LinphoneTombstoneProtos.MemoryMapping.Builder clearEndAddress()
`uint64 end_address = 2;`

Returns:
  This builder for chaining.

### getOffset

public long getOffset()
`uint64 offset = 3;`

Specified by:
  `getOffset` in interface `LinphoneTombstoneProtos.MemoryMappingOrBuilder`
Returns:
  The offset.

### setOffset

public LinphoneTombstoneProtos.MemoryMapping.Builder setOffset(long value)
`uint64 offset = 3;`

Parameters:
  `value` - The offset to set.
Returns:
  This builder for chaining.

### clearOffset

public LinphoneTombstoneProtos.MemoryMapping.Builder clearOffset()
`uint64 offset = 3;`

Returns:
  This builder for chaining.

### getRead

public boolean getRead()
`bool read = 4;`

Specified by:
  `getRead` in interface `LinphoneTombstoneProtos.MemoryMappingOrBuilder`
Returns:
  The read.

### setRead

public LinphoneTombstoneProtos.MemoryMapping.Builder setRead(boolean value)
`bool read = 4;`

Parameters:
  `value` - The read to set.
Returns:
  This builder for chaining.

### clearRead

public LinphoneTombstoneProtos.MemoryMapping.Builder clearRead()
`bool read = 4;`

Returns:
  This builder for chaining.

### getWrite

public boolean getWrite()
`bool write = 5;`

Specified by:
  `getWrite` in interface `LinphoneTombstoneProtos.MemoryMappingOrBuilder`
Returns:
  The write.

### setWrite

public LinphoneTombstoneProtos.MemoryMapping.Builder setWrite(boolean value)
`bool write = 5;`

Parameters:
  `value` - The write to set.
Returns:
  This builder for chaining.

### clearWrite

public LinphoneTombstoneProtos.MemoryMapping.Builder clearWrite()
`bool write = 5;`

Returns:
  This builder for chaining.

### getExecute

public boolean getExecute()
`bool execute = 6;`

Specified by:
  `getExecute` in interface `LinphoneTombstoneProtos.MemoryMappingOrBuilder`
Returns:
  The execute.

### setExecute

public LinphoneTombstoneProtos.MemoryMapping.Builder setExecute(boolean value)
`bool execute = 6;`

Parameters:
  `value` - The execute to set.
Returns:
  This builder for chaining.

### clearExecute

public LinphoneTombstoneProtos.MemoryMapping.Builder clearExecute()
`bool execute = 6;`

Returns:
  This builder for chaining.

### getMappingName

public String getMappingName()
`string mapping_name = 7;`

Specified by:
  `getMappingName` in interface `LinphoneTombstoneProtos.MemoryMappingOrBuilder`
Returns:
  The mappingName.

### getMappingNameBytes

public com.google.protobuf.ByteString getMappingNameBytes()
`string mapping_name = 7;`

Specified by:
  `getMappingNameBytes` in interface `LinphoneTombstoneProtos.MemoryMappingOrBuilder`
Returns:
  The bytes for mappingName.

### setMappingName

public LinphoneTombstoneProtos.MemoryMapping.Builder setMappingName(String value)
`string mapping_name = 7;`

Parameters:
  `value` - The mappingName to set.
Returns:
  This builder for chaining.

### clearMappingName

public LinphoneTombstoneProtos.MemoryMapping.Builder clearMappingName()
`string mapping_name = 7;`

Returns:
  This builder for chaining.

### setMappingNameBytes

public LinphoneTombstoneProtos.MemoryMapping.Builder setMappingNameBytes(com.google.protobuf.ByteString value)
`string mapping_name = 7;`

Parameters:
  `value` - The bytes for mappingName to set.
Returns:
  This builder for chaining.

### getBuildId

public String getBuildId()
`string build_id = 8;`

Specified by:
  `getBuildId` in interface `LinphoneTombstoneProtos.MemoryMappingOrBuilder`
Returns:
  The buildId.

### getBuildIdBytes

public com.google.protobuf.ByteString getBuildIdBytes()
`string build_id = 8;`

Specified by:
  `getBuildIdBytes` in interface `LinphoneTombstoneProtos.MemoryMappingOrBuilder`
Returns:
  The bytes for buildId.

### setBuildId

public LinphoneTombstoneProtos.MemoryMapping.Builder setBuildId(String value)
`string build_id = 8;`

Parameters:
  `value` - The buildId to set.
Returns:
  This builder for chaining.

### clearBuildId

public LinphoneTombstoneProtos.MemoryMapping.Builder clearBuildId()
`string build_id = 8;`

Returns:
  This builder for chaining.

### setBuildIdBytes

public LinphoneTombstoneProtos.MemoryMapping.Builder setBuildIdBytes(com.google.protobuf.ByteString value)
`string build_id = 8;`

Parameters:
  `value` - The bytes for buildId to set.
Returns:
  This builder for chaining.

### getLoadBias

public long getLoadBias()
`uint64 load_bias = 9;`

Specified by:
  `getLoadBias` in interface `LinphoneTombstoneProtos.MemoryMappingOrBuilder`
Returns:
  The loadBias.

### setLoadBias

public LinphoneTombstoneProtos.MemoryMapping.Builder setLoadBias(long value)
`uint64 load_bias = 9;`

Parameters:
  `value` - The loadBias to set.
Returns:
  This builder for chaining.

### clearLoadBias

public LinphoneTombstoneProtos.MemoryMapping.Builder clearLoadBias()
`uint64 load_bias = 9;`

Returns:
  This builder for chaining.